### Hierarchy

- NavigationItem

## Index

### Properties

- content
- href
- isCurrentPage
- menuItems
- route
- routeExtras
- title
- trigger
- type

## Properties

### Optional content

content: string

- Defined in src/ui-shell/header/header-navigation-items.interface.ts:12

### Optional href

href: string

- Defined in src/ui-shell/header/header-navigation-items.interface.ts:8

### Optional isCurrentPage

isCurrentPage: boolean

- Defined in src/ui-shell/header/header-navigation-items.interface.ts:13

### Optional menuItems

menuItems: HeaderItemInterface[]

- Defined in src/ui-shell/header/header-navigation-items.interface.ts:14

### Optional route

route: any[]

- Defined in src/ui-shell/header/header-navigation-items.interface.ts:10

### Optional routeExtras

routeExtras: any[]

- Defined in src/ui-shell/header/header-navigation-items.interface.ts:11

### Optional title

title: string

- Defined in src/ui-shell/header/header-navigation-items.interface.ts:7

### Optional trigger

trigger: "click" | "mouseover"

- Defined in src/ui-shell/header/header-navigation-items.interface.ts:9

### type

type: "menu" | "item"

- Defined in src/ui-shell/header/header-navigation-items.interface.ts:6

Generated using TypeDoc